﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace sl_Chart_627033
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<PlotData> data = new ObservableCollection<PlotData>() 
        { 
            new PlotData { XCat = "x1", YVal = 100, },
            new PlotData { XCat = "x2", YVal = 20, },
            new PlotData { XCat = "x3", YVal = 20, },
            new PlotData { XCat = "x4", YVal = 50, },
            new PlotData { XCat = "x5", YVal = 30, },
        };

        public MainPage()
        {
            InitializeComponent();
            this.DataContext = this.data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.data[1].YVal += 10; 
        }
    }

    public class PlotData : INotifyPropertyChanged
    {
        private string xCat;
        public string XCat 
        {
            get { return this.xCat; }
            set 
            {
                if (this.xCat != value) 
                {
                    this.xCat = value;
                    this.PropertyChanged(this, new PropertyChangedEventArgs("XCat"));
                }
            } 
        }

        private double yVal;
        public double YVal
        {
            get { return this.yVal; }
            set
            {
                if (this.yVal != value)
                {
                    this.yVal = value;
                    this.PropertyChanged(this, new PropertyChangedEventArgs("YVal"));
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged = (s, e) => { };
    }
}
